Can an app find out if the Android phone it’s running on supports Bluetooth 4.3 privacy extensions?

I need to find out if the phone my app is running on supports the BT 4.2 bluetooth privacy extensions. If so, it will tell a BT connected device to do the same, if not it will not enable it.

Is there a way to programmatically check if the underlying Android supports the privacy extensions?

My assumption here is, based on two low cost phones, that for some mobile phones BT4.2 compatibility is claimed, yet enabling it on the slave device voids the communication with the device.